# -*- encoding: utf-8 -*-
# stub: chef-zero 5.3.2 ruby lib

Gem::Specification.new do |s|
  s.name = "chef-zero".freeze
  s.version = "5.3.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Keiser".freeze]
  s.date = "2017-03-28"
  s.description = "Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes".freeze
  s.email = "jkeiser@chef.io".freeze
  s.executables = ["chef-zero".freeze]
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "bin/chef-zero".freeze, "chef-zero.gemspec".freeze, "lib/chef_zero.rb".freeze, "lib/chef_zero/chef_data/acl_path.rb".freeze, "lib/chef_zero/chef_data/cookbook_data.rb".freeze, "lib/chef_zero/chef_data/data_normalizer.rb".freeze, "lib/chef_zero/chef_data/default_creator.rb".freeze, "lib/chef_zero/data_store/data_already_exists_error.rb".freeze, "lib/chef_zero/data_store/data_error.rb".freeze, "lib/chef_zero/data_store/data_not_found_error.rb".freeze, "lib/chef_zero/data_store/default_facade.rb".freeze, "lib/chef_zero/data_store/interface_v1.rb".freeze, "lib/chef_zero/data_store/interface_v2.rb".freeze, "lib/chef_zero/data_store/memory_store.rb".freeze, "lib/chef_zero/data_store/memory_store_v2.rb".freeze, "lib/chef_zero/data_store/raw_file_store.rb".freeze, "lib/chef_zero/data_store/v1_to_v2_adapter.rb".freeze, "lib/chef_zero/data_store/v2_to_v1_adapter.rb".freeze, "lib/chef_zero/endpoints/acl_endpoint.rb".freeze, "lib/chef_zero/endpoints/acls_endpoint.rb".freeze, "lib/chef_zero/endpoints/actor_default_key_endpoint.rb".freeze, "lib/chef_zero/endpoints/actor_endpoint.rb".freeze, "lib/chef_zero/endpoints/actor_key_endpoint.rb".freeze, "lib/chef_zero/endpoints/actor_keys_endpoint.rb".freeze, "lib/chef_zero/endpoints/actors_endpoint.rb".freeze, "lib/chef_zero/endpoints/authenticate_user_endpoint.rb".freeze, "lib/chef_zero/endpoints/container_endpoint.rb".freeze, "lib/chef_zero/endpoints/containers_endpoint.rb".freeze, "lib/chef_zero/endpoints/controls_endpoint.rb".freeze, "lib/chef_zero/endpoints/cookbook_artifact_endpoint.rb".freeze, "lib/chef_zero/endpoints/cookbook_artifact_identifier_endpoint.rb".freeze, "lib/chef_zero/endpoints/cookbook_artifacts_endpoint.rb".freeze, "lib/chef_zero/endpoints/cookbook_endpoint.rb".freeze, "lib/chef_zero/endpoints/cookbook_version_endpoint.rb".freeze, "lib/chef_zero/endpoints/cookbooks_base.rb".freeze, "lib/chef_zero/endpoints/cookbooks_endpoint.rb".freeze, "lib/chef_zero/endpoints/data_bag_endpoint.rb".freeze, "lib/chef_zero/endpoints/data_bag_item_endpoint.rb".freeze, "lib/chef_zero/endpoints/data_bags_endpoint.rb".freeze, "lib/chef_zero/endpoints/dummy_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_cookbook_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_cookbook_versions_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_cookbooks_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_nodes_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_recipes_endpoint.rb".freeze, "lib/chef_zero/endpoints/environment_role_endpoint.rb".freeze, "lib/chef_zero/endpoints/file_store_file_endpoint.rb".freeze, "lib/chef_zero/endpoints/group_endpoint.rb".freeze, "lib/chef_zero/endpoints/groups_endpoint.rb".freeze, "lib/chef_zero/endpoints/license_endpoint.rb".freeze, "lib/chef_zero/endpoints/node_endpoint.rb".freeze, "lib/chef_zero/endpoints/node_identifiers_endpoint.rb".freeze, "lib/chef_zero/endpoints/nodes_endpoint.rb".freeze, "lib/chef_zero/endpoints/not_found_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_association_request_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_association_requests_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_authenticate_user_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_user_base.rb".freeze, "lib/chef_zero/endpoints/organization_user_default_key_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_user_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_user_key_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_user_keys_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_users_endpoint.rb".freeze, "lib/chef_zero/endpoints/organization_validator_key_endpoint.rb".freeze, "lib/chef_zero/endpoints/organizations_endpoint.rb".freeze, "lib/chef_zero/endpoints/policies_endpoint.rb".freeze, "lib/chef_zero/endpoints/policy_endpoint.rb".freeze, "lib/chef_zero/endpoints/policy_group_endpoint.rb".freeze, "lib/chef_zero/endpoints/policy_group_policy_endpoint.rb".freeze, "lib/chef_zero/endpoints/policy_groups_endpoint.rb".freeze, "lib/chef_zero/endpoints/policy_revision_endpoint.rb".freeze, "lib/chef_zero/endpoints/policy_revisions_endpoint.rb".freeze, "lib/chef_zero/endpoints/principal_endpoint.rb".freeze, "lib/chef_zero/endpoints/rest_list_endpoint.rb".freeze, "lib/chef_zero/endpoints/rest_object_endpoint.rb".freeze, "lib/chef_zero/endpoints/role_endpoint.rb".freeze, "lib/chef_zero/endpoints/role_environments_endpoint.rb".freeze, "lib/chef_zero/endpoints/sandbox_endpoint.rb".freeze, "lib/chef_zero/endpoints/sandboxes_endpoint.rb".freeze, "lib/chef_zero/endpoints/search_endpoint.rb".freeze, "lib/chef_zero/endpoints/searches_endpoint.rb".freeze, "lib/chef_zero/endpoints/server_api_version_endpoint.rb".freeze, "lib/chef_zero/endpoints/system_recovery_endpoint.rb".freeze, "lib/chef_zero/endpoints/user_association_request_endpoint.rb".freeze, "lib/chef_zero/endpoints/user_association_requests_count_endpoint.rb".freeze, "lib/chef_zero/endpoints/user_association_requests_endpoint.rb".freeze, "lib/chef_zero/endpoints/user_organizations_endpoint.rb".freeze, "lib/chef_zero/endpoints/version_endpoint.rb".freeze, "lib/chef_zero/log.rb".freeze, "lib/chef_zero/rest_base.rb".freeze, "lib/chef_zero/rest_error_response.rb".freeze, "lib/chef_zero/rest_request.rb".freeze, "lib/chef_zero/rest_router.rb".freeze, "lib/chef_zero/rspec.rb".freeze, "lib/chef_zero/server.rb".freeze, "lib/chef_zero/socketless_server_map.rb".freeze, "lib/chef_zero/solr/query/binary_operator.rb".freeze, "lib/chef_zero/solr/query/phrase.rb".freeze, "lib/chef_zero/solr/query/range_query.rb".freeze, "lib/chef_zero/solr/query/regexpable_query.rb".freeze, "lib/chef_zero/solr/query/subquery.rb".freeze, "lib/chef_zero/solr/query/term.rb".freeze, "lib/chef_zero/solr/query/unary_operator.rb".freeze, "lib/chef_zero/solr/solr_doc.rb".freeze, "lib/chef_zero/solr/solr_parser.rb".freeze, "lib/chef_zero/version.rb".freeze, "spec/run_oc_pedant.rb".freeze, "spec/search_spec.rb".freeze, "spec/server_spec.rb".freeze, "spec/socketless_server_map_spec.rb".freeze, "spec/support/oc_pedant.rb".freeze, "spec/support/secrets.json".freeze, "spec/support/stickywicket.pem".freeze]
  s.homepage = "http://www.chef.io".freeze
  s.licenses = ["Apache 2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "2.7.7".freeze
  s.summary = "Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mixlib-log>.freeze, ["~> 1.3"])
      s.add_runtime_dependency(%q<hashie>.freeze, ["< 4.0", ">= 2.0"])
      s.add_runtime_dependency(%q<uuidtools>.freeze, ["~> 2.1"])
      s.add_runtime_dependency(%q<ffi-yajl>.freeze, ["~> 2.2"])
      s.add_runtime_dependency(%q<rack>.freeze, ["~> 2.0"])
      s.add_development_dependency(%q<pry>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
      s.add_development_dependency(%q<pry-stack_explorer>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
    else
      s.add_dependency(%q<mixlib-log>.freeze, ["~> 1.3"])
      s.add_dependency(%q<hashie>.freeze, ["< 4.0", ">= 2.0"])
      s.add_dependency(%q<uuidtools>.freeze, ["~> 2.1"])
      s.add_dependency(%q<ffi-yajl>.freeze, ["~> 2.2"])
      s.add_dependency(%q<rack>.freeze, ["~> 2.0"])
      s.add_dependency(%q<pry>.freeze, [">= 0"])
      s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
      s.add_dependency(%q<pry-stack_explorer>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<mixlib-log>.freeze, ["~> 1.3"])
    s.add_dependency(%q<hashie>.freeze, ["< 4.0", ">= 2.0"])
    s.add_dependency(%q<uuidtools>.freeze, ["~> 2.1"])
    s.add_dependency(%q<ffi-yajl>.freeze, ["~> 2.2"])
    s.add_dependency(%q<rack>.freeze, ["~> 2.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<pry-stack_explorer>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
  end
end

